# $Revision: 1.137.2.4.2.1 $, $Date: 2007/03/11 19:11:13 $
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
%bcond_without	arch_confdir	# build with arch-dependant config dir
#
Summary:	System for layout and rendering of internationalized text
Summary(pl):	System renderowania midzynarodowego tekstu
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Name:		pango
Version:	1.12.4
Release:	1
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/pango/1.12/%{name}-%{version}.tar.bz2
# Source0-md5:	8f6749fe961e41dbeed72d1efcd55224
Patch0:		%{name}-xfonts.patch
Patch1:		%{name}-arch_confdir.patch
URL:		http://www.pango.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.0.4
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	fontconfig-devel >= 1.0.1
BuildRequires:	freetype-devel >= 2.1.7
BuildRequires:	glib2-devel >= 1:2.10.3
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	xft-devel >= 2.1.0
Requires(post):	/sbin/ldconfig
Requires:	cairo >= 1.0.4
Requires:	freetype >= 2.1.7
Requires:	glib2 >= 1:2.10.3
Obsoletes:	libpango24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
System for layout and rendering of internationalized text.

%description -l pl
System obsugi i renderowania midzynarodowego tekstu.

%description -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package devel
Summary:	System for layout and rendering of internationalized text
Summary(pl):	System obsugi i renderowania midzynarodowego tekstu
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	XFree86-devel
Requires:	cairo-devel >= 1.0.4
Requires:	freetype-devel >= 2.1.7
Requires:	glib2-devel >= 1:2.10.3
Requires:	gtk-doc-common
Requires:	xft-devel >= 2.1.0
Obsoletes:	libpango24-devel

%description devel
Developer files for pango.

%description devel -l pl
Pliki developerskie pango.

%description devel -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package static
Summary:	Static pango libraries
Summary(pl):	Biblioteki statyczne pango
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static pango libraries.

%description static -l pl
Biblioteki statyczne pango.

%description static -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package modules
Summary:	System for layout and rendering of internationalized text
Summary(pl):	System obsugi i renderowania midzynarodowego tekstu
Summary(pt_BR):	Sistema para layout e renderizao de texto internacionalizado
Group:		X11/Development/Libraries
Requires(post,postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description modules
System for layout and rendering of internationalized text.

This package contains pango modules for: arabic, bengali, devanagari,
gujarati, gurmukhi, hangul, hebrew, indic, myanmar, tamil, thai.

%description modules -l pl
System obsugi i renderowania midzynarodowego tekstu.

Pakiet zawiera moduy pango dla jzykw: arabic, bengali, devanagari,
gujarati, gurmukhi, hangul, hebrew, indic, myanmar, tamil, thai.

%description modules -l pt_BR
Pango  um sistema para layout e renderizao de texto
internacionalizado.

%package apidocs
Summary:	Pango API documentation
Summary(pl):	Dokumentacja API pango
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Pango API documentation.

%description apidocs -l pl
Dokumentacja API pango.

%prep
%setup -q
%patch0 -p1
%{?with_arch_confdir:%patch1 -p1}

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-fribidi \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--enable-debug=%{?debug:yes}%{!?debug:minimum} \
	--enable-man
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

> $RPM_BUILD_ROOT%{_sysconfdir}/pango%{?with_arch_confdir:-%{_host_cpu}}/pango.modules

# useless (modules loaded through libgmodule)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/1.5.0/modules/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango%{?with_arch_confdir:-%{_host_cpu}}/pango.modules
exit 0

%postun -p /sbin/ldconfig

%post modules
umask 022
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango%{?with_arch_confdir:-%{_host_cpu}}/pango.modules
exit 0

%postun modules
umask 022
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango%{?with_arch_confdir:-%{_host_cpu}}/pango.modules
exit 0

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README examples/HELLO.utf8
%attr(755,root,root) %{_bindir}/pango-querymodules
%attr(755,root,root) %{_bindir}/pango-view
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.5.0
%dir %{_libdir}/pango/1.5.0/modules
%attr(755,root,root) %{_libdir}/pango/1.5.0/modules/*basic*.so
%if %{with arch_confdir}
%dir %{_sysconfdir}/pango-%{_host_cpu}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pango-%{_host_cpu}/pangox.aliases
%ghost %{_sysconfdir}/pango-%{_host_cpu}/pango.modules
%else
%dir %{_sysconfdir}/pango
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pango/pangox.aliases
%ghost %{_sysconfdir}/pango/pango.modules
%endif
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libpango*.so
%{_libdir}/libpango*.la
%{_pkgconfigdir}/*
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpango*.a
%endif

%files modules
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pango/1.5.0/modules/*.so
%exclude %{_libdir}/pango/1.5.0/modules/*basic*.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/pango
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pango.spec,v $
Revision 1.137.2.4.2.1  2007/03/11 19:11:13  glen
- update to 1.12.4, enabled arch_confdir bcond

Revision 1.137.2.4  2006/05/31 19:12:39  freetz
- 1.12.3, GNOME 2.14.2 deps

Revision 1.137.2.3  2006/05/14 20:28:31  baggins
- rel 2
- merged patch

Revision 1.137.2.2  2006/05/14 20:12:13  baggins
- added TODO

Revision 1.137.2.1  2006/05/14 19:59:50  baggins
- merged from HEAD

Revision 1.137  2006/02/18 16:02:06  qboosh
- dropped xlibs patch

Revision 1.136  2006/02/08 15:54:36  freetz
- 1.10.3

Revision 1.135  2005/12/10 17:25:05  sparky
- added arch-dependant config dir support, bconded, default off

Revision 1.134  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.133  2005/11/29 23:16:58  freetz
- 1.10.2

Revision 1.132  2005/10/04 17:50:11  freetz
- 1.10.1

Revision 1.131  2005/09/23 12:08:50  djurban
- no more gtk-doc BUAHAHAHAHA

Revision 1.130  2005/09/23 11:54:33  qboosh
- unified bcond header

Revision 1.129  2005/09/23 11:34:09  djurban
- gtkdocsize bconded, without it gtk-doc is required even when building without apidocs

Revision 1.128  2005/09/19 18:28:57  djurban
- forgot to aadd bconds in %files

Revision 1.127  2005/09/19 18:27:40  djurban
- standardise static_libs and s/doc/apidocs/ to properly get rid of gtk-doc if compiled without it

Revision 1.126  2005/08/30 18:16:47  arekm
- merged from DEVEL

Revision 1.125  2005/07/27 17:31:21  freetz
- 1.8.2

Revision 1.124  2005/05/23 14:25:39  qboosh
- gpm-friendly Source0 URL

Revision 1.124.2.9  2005/08/17 19:19:37  aflinta
- require official versions

Revision 1.124.2.8  2005/08/15 23:15:21  freetz
- 1.10.0

Revision 1.124.2.7  2005/08/14 15:15:04  freetz
- 20050814 snap (for cairo with included libpixman)

Revision 1.124.2.6  2005/07/26 19:25:58  freetz
- 1.9.1

Revision 1.124.2.5  2005/07/26 14:16:10  freetz
- require bleeding edge cairo (0.5.3)

Revision 1.124.2.4  2005/07/23 12:11:30  freetz
- 20050723 snap (cairo font rendering related changes)

Revision 1.124.2.3  2005/07/19 06:52:50  wiget
- BR/R cairo >= 0.5.1

Revision 1.124.2.2  2005/07/02 20:32:55  freetz
- updated BRs/Rs (cairo stuff)

Revision 1.124.2.1  2005/07/02 20:17:49  freetz
- 1.9.0, changlog cut, use ftp.gtk.org
